# 数据源配置
spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
            master:
                url: jdbc:mysql://rm-wz950fu2v70864v85.mysql.rds.aliyuncs.com/test_zz_edu?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&autoReconnect=true
                username: root
                password: gdxy2021!@#zzjykj
            # 从库数据源
            slave:
                # 从数据源开关/默认关闭
                enabled: false
                url: 
                username: 
                password: 
            # 初始连接数
            initialSize: 5
            # 最小连接池数量
            minIdle: 10
            # 最大连接池数量
            maxActive: 20
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT 1 FROM DUAL
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter: 
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username: ruoyi
                login-password: 123456
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true
    # redis 配置
    redis:
        # 地址
        host: 172.18.19.227
        # 端口，默认为6379
        port: 6379
        # 数据库索引
        database: 0
        # 密码
        password: zhongzheng2021_redis
        # 连接超时时间
        timeout: 10s
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms
aliyun:
    oss:
        endpoint: https://file.xyyxt.net # oss对外服务的访问域名
        accessKeyId: LTAIgC8O2WUXvXuR  # 访问身份验证中用到用户标识
        accessKeySecret: 1yyCazuT1M6MruBXzgFjP0p9gdMlwX # 用户用于加密签名字符串和oss用来验证签名字符串的密钥
        bucketName: zhongzheng-prod # oss的存储空间
        policy:
            expire: 30 # 签名有效期(S)
        maxSize: 10 # 上传文件大小(M)
        callback: https://cloud.xyyxt.net/aliyun/oss/callback # 文件上传成功后的回调地址
        dir:
            prefix: oss/images/ # 上传文件夹路径前缀 `

poliv:
    token:
        userid: d5f6d309fe
        writetoken: 8f14a371-9d02-4ec1-922d-54d7b4f79dca
        readtoken: f2c397b4-e2a3-46dc-9266-e6a43ac26a35
        secretkey: xpPrYdcbA1